Package com.collibra.catalog.api.component.classification.dto

# Class AddClassificationsRequest

Object
AddClassificationsRequest

public class AddClassificationsRequest extends Object
Request to add multiple `Classification`.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `AddClassificationsRequest.AddClassificationsRequestBuilder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddClassificationsRequest()`
  `AddClassificationsRequest(List<String> names)`
  Creates a new `AddClassificationsRequest` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AddClassificationsRequest.AddClassificationsRequestBuilder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `List<String>`
  `getNames()`
  New `Classification`s names.
  `int`
  `hashCode()`
  `void`
  `setNames(List<String> names)`
  New `Classification`s names.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AddClassificationsRequest

    public AddClassificationsRequest(List<String> names)
    Creates a new `AddClassificationsRequest` instance.
    Parameters:
      `names` - New `Classification`s names.

  - ### AddClassificationsRequest

    public AddClassificationsRequest()

- ## Method Details

  - ### builder

    public static AddClassificationsRequest.AddClassificationsRequestBuilder builder()

  - ### getNames

    public List<String> getNames()
    New `Classification`s names.

  - ### setNames

    public void setNames(List<String> names)
    New `Classification`s names.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`